.tab-button_item__3ib7B {
    display: inline-block;
    vertical-align: middle;
    white-space: nowrap
}

.tab-button_item__3ib7B:focus {
    outline: none
}

.tab-button_btn__3saNk {
    font: var(--regular-m);
    position: relative;
    display: block;
    padding: 0 var(--offset-md-2xs);
    height: var(--height-md-2xl);
    outline: none;
    cursor: pointer;
    -webkit-transition: color var(--transition-fast) var(--cubic-ease-out);
    transition: color var(--transition-fast) var(--cubic-ease-out);
    color: var(--color-text-secondary)
}

.tab-button_btn__3saNk:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    z-index: var(--zindex-50)
}

.tab-button_btn__3saNk:hover:not(.tab-button_selected__1HZnm):not(.tab-button_disabled__LuGFT) {
    color: var(--color-text-primary)
}

.tab-button_selected__1HZnm {
    color: var(--color-text-primary)
}

.tab-button_selected__1HZnm:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    border-bottom: var(--border-width-xs) solid var(--color-stroke-accent);
    z-index: var(--zindex-50);
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transition: -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    transition: -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    transition: transform var(--transition-fast) var(--cubic-ease-out);
    transition: transform var(--transition-fast) var(--cubic-ease-out), -webkit-transform var(--transition-fast) var(--cubic-ease-out);
    color: var(--color-text-primary)
}

.tab-button_disabled__LuGFT {
    opacity: var(--opacity-4);
    cursor: not-allowed
}

vui-tabs[orientation=vertical] vui-tab-button {
    margin-right: var(--offset-sm-l)
}

vui-tabs[orientation=vertical] .tab-button_item__3ib7B {
    width: 100%
}

vui-tabs[orientation=vertical] .tab-button_btn__3saNk {
    margin-right: 0;
    margin-left: auto
}

vui-tabs[orientation=vertical] .tab-button_btn__3saNk:after {
    right: 0;
    left: auto;
    height: 100%;
    -webkit-transform: scaleY(0);
    transform: scaleY(0)
}

vui-tabs[orientation=vertical] .tab-button_selected__1HZnm:after {
    right: 0;
    left: auto;
    height: 100%;
    width: 2px;
    background-color: var(--color-stroke-accent);
    border-bottom: 0;
    -webkit-transform: scaleY(1);
    transform: scaleY(1)
}

vui-tabs[type=pills] .tab-button_item__3ib7B {
    padding: var(--offset-sm-s) 0
}

vui-tabs[type=pills] .tab-button_btn__3saNk {
    font: var(--regular-s);
    height: var(--height-md-s);
    padding: var(--offset-sm-s) var(--offset-sm-l);
    margin-right: var(--offset-sm-s);
    background-color: var(--color-background-surface);
    border: var(--border-width-xs) solid var(--color-stroke-divider);
    border-radius: 16px;
    color: var(--color-text-secondary);
    -webkit-transition: all var(--transition-fast) var(--cubic-ease-out);
    transition: all var(--transition-fast) var(--cubic-ease-out)
}

vui-tabs[type=pills] .tab-button_btn__3saNk:hover:not(.tab-button_disabled__LuGFT):not(.tab-button_selected__1HZnm):not([slot=count]) {
    color: var(--color-text-primary);
    background-color: var(--color-background-highlight);
    -webkit-transition: all var(--transition-fast) var(--cubic-ease-out);
    transition: all var(--transition-fast) var(--cubic-ease-out)
}

vui-tabs[type=pills] .tab-button_selected__1HZnm {
    color: var(--color-text-primary);
    background-color: var(--color-background-surface);
    border: var(--border-width-xs) solid var(--color-background-surface);
    -webkit-box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.12);
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.12)
}

vui-tabs[type=pills] .tab-button_selected__1HZnm:after {
    content: none
}

vui-tabs[type=pills] [slot=count] {
    color: var(--color-text-secondary);
    margin-left: var(--offset-sm-m)
}

vui-tabs[type=pills]:first-of-type .tab-button_item__3ib7B {
    padding-left: var(--offset-sm-2xs)
}

vui-tabs[type=pills]:last-of-type .tab-button_item__3ib7B {
    padding: var(--offset-sm-s) var(--offset-sm-2xs)
}

vui-tabs[type=pills]:last-of-type .tab-button_btn__3saNk {
    margin-right: 0
}

vui-tabs[stretch] .tab-button_item__3ib7B,
vui-tabs[stretch] .tab-button_btn__3saNk {
    width: 100%
}

vui-tabs[size=md] .tab-button_btn__3saNk {
    height: var(--height-md-2xl)
}

@media (min-width: 768px) {
    vui-tabs[size=md] .tab-button_btn__3saNk {
        height: var(--height-lg-l)
    }
}

@media (max-width: 960px) and (orientation: landscape) and (max-height: 500px) {
    vui-tabs[size=md] .tab-button_btn__3saNk {
        height: var(--height-md-2xl)
    }
}